## edu.stanford.nlp.trees.international.french
Class FrenchTreeReader

    java.lang.Object
      edu.stanford.nlp.trees.international.french.FrenchTreeReader

All Implemented Interfaces:
  TreeReader

    public class FrenchTreeReader

extends Object
implements TreeReader

A reader for XML format French Treebank files. Note that the raw XML files are in ISO-8859-1 format, so they must be converted to UTF-8.

Handles multiword expressions (MWEs).

Author:
  Spence Green

Field Summary
`static String` `EMPTY_LEAF`
`static String` `MISSING_PHRASAL`
`static String` `MISSING_POS`

Constructor Summary
`FrenchTreeReader(Reader in)` Read parse trees from a Reader.
`FrenchTreeReader(Reader in, TreeFactory tf, TreeNormalizer tn)` Read parse trees from a Reader.

Method Summary
`void` `close()` Close the Reader behind this `TreeReader`.
`static void` `main(String[] args)` For debugging.
`Tree` `readTree()` Reads a single tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_LEAF

    public static final String EMPTY_LEAF

See Also:
  Constant Field Values

### MISSING_PHRASAL

    public static final String MISSING_PHRASAL

See Also:
  Constant Field Values

### MISSING_POS

    public static final String MISSING_POS

See Also:
  Constant Field Values

Constructor Detail

### FrenchTreeReader

    public FrenchTreeReader(Reader in)

  Read parse trees from a Reader.

  Parameters:
    `in` - The `Reader`

### FrenchTreeReader

    public FrenchTreeReader(Reader in,
                            TreeFactory tf,
                            TreeNormalizer tn)

  Read parse trees from a Reader.

  Parameters:
    `in` - Reader
    `tf` - TreeFactory -- factory to create some kind of Tree
    `tn` - the method of normalizing trees

Method Detail

### close

    public void close()

  Description copied from interface: `TreeReader`
  Close the Reader behind this `TreeReader`.

  Specified by:
    `close` in interface `TreeReader`

### readTree

    public Tree readTree()

  Description copied from interface: `TreeReader`
  Reads a single tree.

  Specified by:
    `readTree` in interface `TreeReader`
  Returns:
    A single tree, or `null` at end of file.

### main

    public static void main(String[] args)

  For debugging.

  Parameters:
    `args` -

Stanford NLP Group